Subject: bug#36858: 27.0.50; display bugs with display-fill-column-indicator-mode

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Aug 2019 19:37:04 +0300

> Date: Wed, 7 Aug 2019 18:20:33 +0200
> From: Ergus <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> in this code (in xdisp.c):
> 
> if (it->current_x < indicator_column_x)
>   {
>     it->face_id = merge_faces (it->w, Qextend_to_end_of_line,
>                                0, extend_face_merged_id);
> 
>     it->char_to_display = XFIXNAT (Vdisplay_fill_column_indicator_character);
>     PRODUCE_GLYPHS (it);
> 
>     it->face_id = extend_face_merged_id;
> }
> 
> I changed char_to_display:
> 
> it->char_to_display = (it->glyph_row->ends_at_zv_p) ? '1' : '0';

(There's no need to make any changes for that, you can simply invoke
dump-glyph-row or dump-glyph-matrix.)

> And then I obtained the attached image.

Right, I forgot where in the code we set that flag, and display of an
after-string at EOB indeed happens before that.

But since Dmitry says the case of Company mode doesn't need to be
fixed, I think this is a moot point now.  We should only solve the
issue with attributes being extended all the way towards the indicator
column.

Thanks.